<?php
// $Id: profile_taxonomy.api.inc,v 1.1 2009/12/14 17:34:48 gnindl Exp $

/**
 * The developer's API for this module layers the access
 * and the handling of database transactions.
 * @file profile_taxonomy.api.inc
 */


/**
 * Get a vocabulary associated to a profile field.
 * @param $fid
 *   field id
 */
function profile_taxonomy_get_vocabulary_id($field) {
  $sql = "SELECT * FROM {profile_taxonomy} WHERE field = '%s'";
  return db_fetch_object(db_query($sql, $field))->vid;
}

/**
 * Delete a specific field vocabulary association
 * @param $field
 *   name of the profile field
 */
function profile_taxonomy_delete($field) {
  db_query("DELETE FROM {profile_taxonomy} WHERE field = '%s'", $field);
}

/**
 * Create a field vocabulary association.
 * @param $field
 *   name of the profile field
 * @param $vid
 *   vocabulary id
 */
function profile_taxonomy_add($field, $vid) {
  db_query("INSERT INTO {profile_taxonomy} VALUES ('%s', %d)", $field, $vid);
}

/**
 * Get all field vocabulary assignements.
 * @return
 *   profile taxonomy assignements
 */
function profile_taxonomy_get_assignments() {
  $result = db_query('SELECT * FROM {profile_taxonomy}');
  $assignments = array();
  while (($row = db_fetch_object($result)) != NULL) {
    $assignments[] = $row;
  }
  return $assignments;
}